classification
Title: Docs for typing.ForwardRef don't state that it was added in 3.7
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, dom1310df, gvanrossum, kj
Priority: normal Keywords: patch

Created on 2020-09-21 16:35 by dom1310df, last changed 2021-02-09 19:02 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24224 merged kj, 2021-01-15 16:30
PR 24493 merged kj, 2021-02-09 16:29
PR 24494 merged kj, 2021-02-09 16:34
PR 24495 merged kj, 2021-02-09 17:14
Messages (6)
msg377262 - (view) Author: Dominic Davis-Foster (dom1310df) Date: 2020-09-21 16:35
typing.ForwardRef was first documented in GH-14216 but there's no mention that the class was only added in Python 3.7.

In Python 3.6 there's no typing.ForwardRef; there is a typing._ForwardRef which seems to be the same thing from before it was made public.


What I don't know is whether the change of name was made in 3.7 or in a point release.
msg386686 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-02-09 01:58
New changeset da21f7b6e1fd5bd3e78931a06c5eb694f6335233 by Ken Jin in branch 'master':
bpo-41824: Add versionadded for typing.ForwardRef docs (#24224)
https://github.com/python/cpython/commit/da21f7b6e1fd5bd3e78931a06c5eb694f6335233
msg386728 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-02-09 16:55
New changeset 917eca700aa341f8544ace43b75d41b477e98b72 by Ken Jin in branch '3.9':
bpo-41824: Add versionadded for typing.ForwardRef docs (#24224) (#24493)
https://github.com/python/cpython/commit/917eca700aa341f8544ace43b75d41b477e98b72
msg386729 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-02-09 16:55
New changeset c8a48c6d0417cc8f256a40142962825febdc2e20 by Ken Jin in branch '3.8':
[3.8] bpo-41824: Add versionadded for typing.ForwardRef docs (#24224) (#24494)
https://github.com/python/cpython/commit/c8a48c6d0417cc8f256a40142962825febdc2e20
msg386731 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-02-09 17:57
New changeset 822f7c266f886677047338e8b167ba39a6abd91e by Ken Jin in branch '3.8':
[3.8] bpo-41824: Fix indentation issue in ForwardRef docs (#24495)
https://github.com/python/cpython/commit/822f7c266f886677047338e8b167ba39a6abd91e
msg386732 - (view) Author: Ken Jin (kj) * (Python committer) Date: 2021-02-09 18:09
I think we can close this now. Thanks for reporting it Dominic, and thanks Guido for all your help!
History
Date User Action Args
2021-02-09 19:02:00gvanrossumsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-09 18:09:47kjsetmessages: + msg386732
2021-02-09 17:57:54gvanrossumsetmessages: + msg386731
2021-02-09 17:14:02kjsetpull_requests: + pull_request23285
2021-02-09 16:55:49gvanrossumsetmessages: + msg386729
2021-02-09 16:55:38gvanrossumsetmessages: + msg386728
2021-02-09 16:34:43kjsetpull_requests: + pull_request23284
2021-02-09 16:29:47kjsetpull_requests: + pull_request23283
2021-02-09 01:58:56gvanrossumsetnosy: + gvanrossum
messages: + msg386686
2021-01-15 16:30:06kjsetkeywords: + patch
nosy: + kj

pull_requests: + pull_request23048
stage: patch review
2020-09-21 17:06:29iritkatrielsetassignee: docs@python

nosy: + docs@python
components: + Documentation, - Library (Lib)
title: Docs for typing.ForwardRef don't state that is was added in 3.7 -> Docs for typing.ForwardRef don't state that it was added in 3.7
2020-09-21 16:35:27dom1310dfcreate